Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

STActor
STBundleInfo
STContext
STConversation
STEngine
STEnvironment
STEnvironmentDescription
STFileScript
STLanguageManager
STObjectReference
STRemoteConversation
STScript
STScriptObject
STScriptsManager
STSelector
STUndefinedObject

### Protocols

<STConversation>
<STEnvironmentProcess>
<STMethod>
<STScriptObject>
<STScripting>

### Constants

### Functions

STAllObjectiveCClasses
STAllObjectiveCSelectors
STClassDictionaryWithNames
STConstructMethodSignatureForSelector
STFindAllResources
STFindResource
STGetFoundationConstants
STGetValueOfTypeFromObject
STMethodSignatureForSelector
STObjectFromValueOfType
STSelectorFromString
STSelectorFromValue
STUserConfigPath
STValueFromSelector

### Macros

### Types

### Variables

STGenericException
STInternalInconsistencyException
STInvalidArgumentException
STLanguageBundleExtension
STLanguageBundlesDirectory
STLanguagesConfigFile
STLibraryDirectory
STMallocZone
STModuleExtension
STModulesDirectory
STNil
STScriptExtension
STScriptingEnvironmentExtension
STScriptingEnvironmentsDirectory
STScriptingException
STScriptsDirectory

Up

# STEnvironment class reference

### Authors

Stefan Urbanek (`urbanek@host.sk`)

Date: Generated at 2026-02-09 22:49:36 +0000

Copyright: (C) 2002 Free Software Foundation

# Software documentation for the STContext class

## STContext : NSObject

> Declared in:
>   StepTalk/STContext.h

Description forthcoming.

Instance Variables

### Method summary

- -addNamedObjectsFromDictionary:
- -createsUnknownObjects
- -fullScriptingEnabled
- -knownObjectNames
- -objectDictionary
- -objectReferenceForObjectWithName:
- -objectWithName:
- -parentContext
- -removeObjectWithName:
- -setCreatesUnknownObjects:
- -setFullScriptingEnabled:
- -setObject:forName:
- -setParentContext:

### addNamedObjectsFromDictionary:

- (void) addNamedObjectsFromDictionary: (NSDictionary*)dict;
Description forthcoming.

### createsUnknownObjects

- (BOOL) createsUnknownObjects;
Returns `YES` if unknown objects are being created.

### fullScriptingEnabled

- (BOOL) fullScriptingEnabled;
Returns `YES` if full scripting is enabled.

### knownObjectNames

- (NSArray*) knownObjectNames;
Description forthcoming.

### objectDictionary

- (NSMutableDictionary*) objectDictionary;
Returns a dictionary of all named objects in the environment.

### objectReferenceForObjectWithName:

- (STObjectReference*) objectReferenceForObjectWithName: (NSString*)name;
Description forthcoming.

### objectWithName:

- (id) objectWithName: (NSString*)objName;
Return object with name objName. If object is not found in the object dictionary, then object finders are used to try to find the object. If object is found by an object finder, then it is put into the object dicitonary. If there is no object with given name, `nil` is returned.

### parentContext

- (STContext*) parentContext;
Description forthcoming.

### removeObjectWithName:

- (void) removeObjectWithName: (NSString*)objName;
Remove object named objName.

### setCreatesUnknownObjects:

- (void) setCreatesUnknownObjects: (BOOL)flag;

Enable or disable creation of unknown objects. Normally you get `nil` if you request for non-existant object. If flag is `YES` then by requesting non-existant object, name for that object is created and it is set no STNil.

Note: This method will be probably removed (moved to Smalltalk language bundle).

### setFullScriptingEnabled:

- (void) setFullScriptingEnabled: (BOOL)flag;
Full scripting
Enable or disable full scripting. When full scripting is enabled, you may send any message to any object.

### setObject: forName:

- (void) setObject: (id)anObject forName: (NSString*)objName;
Register object anObject with name objName.

### setParentContext:

- (void) setParentContext: (STContext*)context;
Description forthcoming.

## Instance Variables for STContext Class

### createsUnknownObjects

@protected BOOL createsUnknownObjects;
Description forthcoming.

### fullScripting

@protected BOOL fullScripting;
Description forthcoming.

### objectDictionary

@protected NSMutableDictionary* objectDictionary;
Description forthcoming.

### parentContext

@protected STContext* parentContext;
Description forthcoming.

Up